
Figure - Bug #112451
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【桌面】长按桌面进入添加微件模式，点击设置快捷方式，选择具体选项（如互联网），无
法成功生成快捷方式
2022-10-09 15:34 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-09

Priority: Normal Due date: 2022-10-11

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221008.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、桌面无设置的快捷方式

【测试步骤】

1、长按桌面空白处进入添加微件模式

2、在弹出的菜单选择设置快捷方式

3、选择具体选项（如互联网）

【预期结果】

3、在桌面上成功生产相应的快捷方式

【实际结果】

3、无法成功生成快捷方式

【复现率】

5/5

History

#1 - 2022-10-10 20:17 - CD APP-王营

- Due date set to 2022-10-30

- Status changed from New to ASSIGNED

■ Current conclusion

分析中

■ My analysis

正在查看源码添加逻辑，怀疑和功能裁剪有关。

此问题不影响整体大功能使用，建议延后跟踪解决。

■ Next action

继续分析源码
#2 - 2022-10-11 14:05 - CD TEST-方永红

10.11 release版本

新发现音乐的1*1的快捷方式也无法添加，之前的版本无此问题

#3 - 2022-10-11 14:25 - CD APP-王营

■ Current conclusion

分析中

■ My analysis

应该是Settings应用调整逻辑导致，之前选中快捷方式的activity被修改为fragment，导致在launcher界面 onActivityResult方法中无法拿到目标快捷方式数据。

■ Next action

1、考虑修改Settings中数据回调方式，或者修改launcher中startActivityForResult的目标activity来回调快捷方式数据。

2、音乐APP无法添加1x1快捷方式目前来看是SystemUI发生了crash，待SystemUI 问题修复入库后再来复测。

#4 - 2022-10-11 15:07 - CD APP-王营

- Assignee changed from CD APP-王营 to CD AF-陈羽杰

需要羽杰来修复一下这个问题，此问题是Settings UI改造引起，请修改一下Setings代码。

#5 - 2022-10-11 15:25 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V2.0_update_20221012 to VX1_MCE_FSE_V3.0_20221030

#6 - 2022-10-11 16:47 - CD AF-陈羽杰

- % Done changed from 0 to 80

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

分析中

■ My analysis

原生Settings 添加微件时需要向Launcher回传Intent，但修改为分屏幕过后导致Intent没有回传给Launcher从无无法添加微件。

■ Next action

根据Intent Action 判断如果时Launcher过来添加微件的Action，则跳转原生Settings页面。

#7 - 2022-10-11 18:07 - CD AF-陈羽杰

- Due date changed from 2022-10-30 to 2022-10-11

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 80 to 100

■ Current conclusion

本地已验证

■ My analysis

原生Settings 添加微件时需要向Launcher回传Intent，但修改为分屏幕过后导致Intent没有回传给Launcher从无无法添加微件。
■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154662

#8 - 2022-10-12 14:30 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#9 - 2022-10-12 14:30 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-12-22 20:42 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

154662 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Launcher Can't Add Widget Bug1.Long press the desktop to enter the Add Widget mode,  click Set Shortcut, and select specific options (such as

the Internet).  The shortcut cannot be generated successfullyTC-RID: 1201-0201813IssueID: TS-R-BUG-112451Change-Id:

Id7ec7110a56349dba7e0e6cc88ebe0b91f86edf2

Files

Phone-5221FC0 2022-10-09 14-59-57.mp4 24.6 MB 2022-10-09 CD TEST-方永红
